:root {
    --accent-green: #1FFFB0;
    --btn-dark-blue: #002360;
    --text-muted-gray: #cbd5e1;
    --font-encode: 'Encode Sans', sans-serif;
    --bg-white-soft: #F5F5F5;
    --text-dark-gray: #242424;
}

body {
    font-family: var(--font-encode);
    background-color: #ffffff;
    color: var(--text-dark-gray);
    margin: 0;
    padding: 0;
    min-height: 100vh;
    overflow-x: hidden;
}

.about-hero-section {
    background-color: var(--bg-white-soft);
    text-align: center;

    .about-hero-content {
        padding-top: 134px;
        padding-bottom: 134px;
        position: relative;

        .about-hero-corner {
            position: absolute;
            right: 0;
            top: 50%;
            transform: translateY(-50%);
        }

        .container {
            display: flex;
            flex-direction: column;
            gap: 30px;

            .about-hero-title {
                font-weight: 700;
                font-size: 56px;
                line-height: 56px;
                letter-spacing: 0px;
                color: var(--btn-dark-blue);
                margin: 0;
            }

            .about-hero-description {
                font-weight: 400;
                font-size: 18px;
                line-height: 30px;
                letter-spacing: 0.36px;
                color: var(--text-dark-gray);
                margin: 0;
            }
            
        }
    }
}

.nacimos-section {
    padding-left: 12px;
    padding-right: 12px;
    background-color: white;

    .container {
        padding-top: 120px;
        padding-bottom: 120px;
        padding-left: 110px;

        > .row {
            @media (min-width: 768px) {
                display: flex;
                gap: 24px;
                flex-wrap: nowrap;
            }
        }

        .nacimos-text {
            display: flex;
            flex-direction: column;
            gap: 24px;

            .nacimos-title {
                font-weight: 600;
                font-size: 40px;
                line-height: 48px;
                letter-spacing: 0px;
                color: var(--btn-dark-blue);
                margin: 0;
            }

            .nacimos-description {
                font-weight: 400;
                font-size: 16px;
                line-height: 26px;
                letter-spacing: 0px;
                color: var(--text-dark-gray);

            }
        }


        .card-nacimos {
            display: flex;
            flex-direction: column;
            gap: 24px;
            border-radius: 24px;
            border: 1px solid var(--accent-green);
            padding: 28px 32px;
            height: 100%;

            p {
                font-weight: 400;
                font-size: 16px;
                line-height: 28px;
                letter-spacing: 0px;
                color: var(--btn-dark-blue);
                margin: 0;
            }
        }
        
    }
}

.administrar-section {
    padding-left: 12px;
    padding-right: 12px;
    background-color: var(--bg-white-soft);
    position: relative;

    .administrar-corner-up {
        position: absolute;
        top: 0;
        right: 0;
    }

    .administrar-corner-low {
        position: absolute;
        bottom: 0;
        left: 0;
    }

    .container {
        padding-top: 120px;
        padding-bottom: 120px;        

        .image-container {
            margin: 0px 20px;

            .administrar-image {
                width: 100%;
                border-radius: 32px;
                border: none;
            }
        }

        .title-container {

            padding: 0 70px;
            position: relative;

            .administrar-title {
                font-weight: 400;
                font-size: 28px;
                line-height: 42px;
                letter-spacing: 0px;
                color: var(--btn-dark-blue);
                margin: 0;
            }

            .comillas-superiores {
                position: absolute;
                top: -20px;
                left: 0;
            }

            .comillas-inferiores {
                position: absolute;
                bottom: -20px;
                right: 0;
            }
        }
    }
}

.tecnologia-section {
    padding-left: 12px;
    padding-right: 12px;
    background-color: white;

    .container {
        padding: 120px 110px;
        display: flex;
        flex-direction: column;
        gap: 64px;

        .title-section {
            display: flex;
            flex-direction: column;
            gap: 32px;
            width: 80%;

            .tecnologia-title {
                font-weight: 600;
                font-size: 40px;
                line-height: 40px;
                letter-spacing: 0px;
                color: var(--btn-dark-blue);
                margin: 0;
            }

            .tecnologia-description {
                font-weight: 400;
                font-size: 20px;
                line-height: 32px;
                letter-spacing: 0px;
                color: var(--text-dark-gray);
                margin: 0;
            }
        }

        .cards-container {
            .card-tecnologia {
                display: flex;
                flex-direction: row;
                gap: 24px;
                padding: 32px 36px 36px 24px;
                border-radius: 24px;
                border: 1.25px solid var(--accent-green);
                align-items: start;

                .card-text {
                    display: flex;
                    flex-direction: column;
                    gap: 24px;

                    .card-title {
                        font-weight: 600;
                        font-size: 24px;
                        line-height: 30px;
                        letter-spacing: 0px;
                        color: var(--btn-dark-blue);
                        margin: 0;
                    }

                    .card-description {
                        font-weight: 400;
                        font-size: 14px;
                        line-height: 24px;
                        letter-spacing: 0px;
                        color: var(--text-dark-gray);
                        margin: 0;
                    }
                }
            }
        }
    }
}

.equipo-section {
    padding-left: 12px;
    padding-right: 12px;
    background-color: var(--bg-white-soft);
    position: relative;

    .equipo-corner {
        position: absolute;
        top: 0;
        right: 40px;
        z-index: 1;
    }

    .container {
        position: relative;
        z-index: 2;
        padding: 72px 0px;

        .equipo-title {
            font-weight: 600;
            font-size: 32px;
            line-height: 32px;
            letter-spacing: 0px;
            color: var(--btn-dark-blue);
        }

        .card-equipo {
            display: flex;
            flex-direction: row;
            gap: 32px;
            padding: 12px 24px 12px 12px;
            border-radius: 24px;
            border: none;
            background-color: white;

            .card-image {
                width: 128px;
                height: 128px;
                border-radius: 16px;
                border: none;
                object-fit: cover;
            }

            .card-content {
                display: flex;
                flex-direction: column;
                gap: 16px;
                justify-content: center;

                .card-text {
                    display: flex;
                    flex-direction: column;

                    .card-title {
                        font-weight: 600;
                        font-size: 20px;
                        line-height: 26px;
                        letter-spacing: 0%;
                        color: var(--btn-dark-blue);
                    }

                    .card-description {
                        font-weight: 400;
                        font-size: 12px;
                        line-height: 18px;
                        letter-spacing: 0%;
                        color: var(--btn-dark-blue);
                        margin: 0px;
                    }
                }
                
                .btn-ver-cv {
                    padding: 6px 26px;
                    border-radius: 27px;
                    border: 1px solid var(--btn-dark-blue);
                    background-color: transparent;
                    color: var(--btn-dark-blue);
                    font-weight: 600;
                    font-size: 12px;
                    line-height: 18px;
                    letter-spacing: 0%;
                    display: flex;
                    align-items: center;
                    gap: 7px;
                    
                }

            }
        }
    }
}

.empeza-section {
    padding-left: 12px;
    padding-right: 12px;
    background-color: var(--accent-green);

    position: relative;

    .complicaciones-corner-left {
        position: absolute;
        top: 20px;
        left: 0;
    }

    .complicaciones-corner-right {
        position: absolute;
        bottom: 0;
        right: 0;
    }

    .container {
        padding-top: 96px;
        padding-bottom: 96px;
        display: flex;
        flex-direction: column;
        gap: 52px;

        .empeza-text-container {
            display: flex;
            flex-direction: column;
            gap: 32px;
            padding-bottom: 8px;

            .empeza-title {
                font-weight: 600;
                font-size: 40px;
                line-height: 46px;
                letter-spacing: 0px;
                color: var(--btn-dark-blue);
            }

            .empeza-description {
                font-weight: 400;
                font-size: 20px;
                line-height: 32px;
                letter-spacing: 0px;
                color: var(--text-dark-gray);
                margin: 0;
            }
        }

        .cards-container {
            display: flex;
            flex-direction: column;
            gap: 16px;

            .card-empeza {
                border-radius: 24px;
                border: 1px solid white;
                padding: 24px 32px;
                background: linear-gradient(90deg, #AEFFE1 0%, rgba(174, 255, 225, 0) 100%);

                .card-text-container {
                    display: flex;
                    flex-direction: column;
                    gap: 4px;

                    .card-empeza-title {
                        font-weight: 600;
                        font-size: 20px;
                        line-height: 20px;
                        letter-spacing: 0px;
                        color: var(--btn-dark-blue);
                        margin: 0;
                    }
                    .card-empeza-description {
                        font-weight: 400;
                        font-size: 14px;
                        line-height: 24px;
                        letter-spacing: 0px;
                        color: var(--text-dark-gray);
                        margin: 0;
                    }
                }
                
            }
        }

        .btn-demo {
            padding: 16px 64px;
            font-weight: 600;
            font-size: 24px;
            line-height: 36px;
            letter-spacing: 0px;
            color: white;
            border-radius: 37px;
            background-color: var(--btn-dark-blue);
            border: none;
            align-self: flex-start;
            margin-top: 20px;
        }
    }
}

.footer-section {
    background-color: #242424;
    padding-top: 20px;
    padding-bottom: 20px;
    position: relative;
    overflow: hidden;
    text-align: center;

    .footer-links {
        font-weight: 400;
        font-size: 14px;
        line-height: 14px;
        letter-spacing: 0px;
    }

    .footer-link {
        color: white;
        text-decoration: none;
        transition: color 0.2s ease;

    }

    .footer-separator {
        color: white;
    }

    .footer-copyright {
        font-weight: 400;
        font-size: 12px;
        line-height: 12px;
        letter-spacing: 0.12px;
        color: white;
        margin-top: 11px;

    }
}


@media screen and (max-width: 768px) {

    .about-hero-section {
        
        .about-hero-content {
            padding: 90px 12px;

            .about-hero-corner {
                
                top: 80px;
                width: 36px;
            }

            .container {
                .about-hero-title {
                    font-weight: 600;
                    font-size: 40px;
                    line-height: 40px;
                    letter-spacing: 0px;
                    text-align: center;

                }
                .about-hero-description {
                    font-weight: 400;
                    font-size: 16px;
                    line-height: 26px;
                    letter-spacing: 0%;
                    text-align: center;
                    margin: 0;
                }
            }
        }
    }

    

    .nacimos-section {
        .container {
            padding: 64px 12px;

            .nacimos-text {
                gap: 36px;
                margin-bottom: 36px;

                .nacimos-title {
                    font-weight: 600;
                    font-size: 32px;
                    line-height: 32px;
                    letter-spacing: 0%;

                }

                .nacimos-description {
                    font-weight: 400;
                    font-size: 16px;
                    line-height: 26px;
                    letter-spacing: 0%;

                }

            }

        }
    }

    .administrar-section {
        padding-left: 0;
        padding-right: 0;

        .container {
            padding-bottom: 64px;
            padding-top: 64px;

            .image-container {
                margin-bottom: 32px;
            }

            .title-container {
                padding: 50px 12px;

                .administrar-title {
                    font-weight: 400;
                    font-size: 24px;
                    line-height: 36px;
                    letter-spacing: 0px;
                    text-align: justify;

                }

                .comillas-superiores {
                    top: 0px;
                }

                .comillas-inferiores {
                    bottom: 25px;
                }
            }
        }
    }

    .tecnologia-section {

        .container {
            padding: 64px 12px;

            .title-section {
                width: 100%;

                .tecnologia-title {
                    font-weight: 600;
                    font-size: 40px;
                    line-height: 48px;
                    letter-spacing: 0px;
                }

                .tecnologia-description {
                    font-weight: 400;
                    font-size: 16px;
                    line-height: 26px;
                    letter-spacing: 0px;
                }
            }

            .cards-container {
                .card-tecnologia {
                    flex-direction: column;
                }
            }
        }

    }

    .equipo-section {

        .container {
            padding: 60px 12px 60px 12px;

            .card-equipo {
                .card-content {
                    width: 100%;
                    .btn-ver-cv {
                        justify-content: center;
                        padding-right: 0;
                        padding-left: 0;
                        width: 100%;
                    }
                }
            }
        }
    }

    .empeza-section {

        .container {
            padding: 60px 12px 60px 12px;

            .empeza-text-container {

                .empeza-title {
                    font-size: 32px;
                    line-height: 36px;
                }
            }

            .btn-demo {
                margin-top: 28px;
                width: 100%;
            }
        }

    }
}
